<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__app__flash__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_app_flash_param_t</compoundname>
    <includes local="no">cy_ble_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__app__flash__param__t_1a91235b4e597b354fb24799e47e7e435c" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_app_flash_param_t::srcBuff</definition>
        <argsstring />
        <name>srcBuff</name>
        <briefdescription>
<para>Source buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="343" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="343" />
      </memberdef>
      <memberdef id="structcy__stc__ble__app__flash__param__t_1a45c0f188602e0f771abc749c9442f949" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_ble_app_flash_param_t::destAddr</definition>
        <argsstring />
        <name>destAddr</name>
        <briefdescription>
<para>Destination buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="346" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="346" />
      </memberdef>
      <memberdef id="structcy__stc__ble__app__flash__param__t_1a9692c32f8811c43d7992bdb82262fbce" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_app_flash_param_t::buffLen</definition>
        <argsstring />
        <name>buffLen</name>
        <briefdescription>
<para>Source buffer length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="349" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="349" />
      </memberdef>
      <memberdef id="structcy__stc__ble__app__flash__param__t_1a08fef321770711e453279d517bed5d78" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ble_app_flash_param_t::writeMode</definition>
        <argsstring />
        <name>writeMode</name>
        <briefdescription>
<para>Write mode: blocking (default) / non-blocking. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="352" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="352" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Store BLE Application Data parameter into flash. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="354" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="340" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="341" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__app__flash__param__t_1a9692c32f8811c43d7992bdb82262fbce" virt="non-virtual"><scope>cy_stc_ble_app_flash_param_t</scope><name>buffLen</name></member>
      <member prot="public" refid="structcy__stc__ble__app__flash__param__t_1a45c0f188602e0f771abc749c9442f949" virt="non-virtual"><scope>cy_stc_ble_app_flash_param_t</scope><name>destAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__app__flash__param__t_1a91235b4e597b354fb24799e47e7e435c" virt="non-virtual"><scope>cy_stc_ble_app_flash_param_t</scope><name>srcBuff</name></member>
      <member prot="public" refid="structcy__stc__ble__app__flash__param__t_1a08fef321770711e453279d517bed5d78" virt="non-virtual"><scope>cy_stc_ble_app_flash_param_t</scope><name>writeMode</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>